Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162050 - system-config-network crashes when trying to Configure one the interfaces
Summary: system-config-network crashes when trying to Configure one the interfaces
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-network
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 14:20 UTC by Wendell MacKenzie
Modified: 2008-08-18 14:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-18 14:23:21 UTC


Attachments (Terms of Use)

Description Wendell MacKenzie 2005-06-29 14:20:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Component: system-config-network
Version: 1.3.22
Summary: TB520028d3 maindialog.py:292:load:AttributeError: '__main__.GnomeAppBar' object has no attribute 'push'
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/var/tmp/system-config-network-1.3.22-root/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 261, in __init__
  File "/var/tmp/system-config-network-1.3.22-root/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 292, in load
AttributeError: '__main__.GnomeAppBar' object has no attribute 'push'

Local variables in innermost frame:
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xb76b7aec>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run system-config-network
2. Try Configure one of the interfaces
3. the above exception occurs
  

Actual Results:  Component: system-config-network
Version: 1.3.22
Summary: TB520028d3 maindialog.py:292:load:AttributeError: '__main__.GnomeAppBar' object has no attribute 'push'
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/var/tmp/system-config-network-1.3.22-root/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 261, in __init__
  File "/var/tmp/system-config-network-1.3.22-root/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 292, in load
AttributeError: '__main__.GnomeAppBar' object has no attribute 'push'

Local variables in innermost frame:
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xb76b7aec>


Expected Results:  Should bring up the configuration panel for the interface.

Additional info:

Comment 1 Harald Hoyer 2005-09-09 11:49:55 UTC
Hmm, this is the first bug report for this issue. Anything installed which is
not RHEL4?

Comment 2 Harald Hoyer 2007-01-11 10:35:16 UTC
ping?

Comment 3 Phil Knirsch 2008-08-18 14:23:21 UTC
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to persue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.